ionCube Loader установлен и работает на сервере, но CMS его не видят!!!!!!!!!!

  • Добрый всем вечер, день или утро!!!!


    У меня такая проблема, я установил ionCube Loader всё выполнил как надо, после проверки php -v вы водит :


    Cannot load the ionCube PHP Loader - extension already loaded
    PHP 5.6.22-0+deb8u1 (cli) (built: Jun 9 2016 07:14:06)
    Copyright (c) 1997-2016 The PHP Group
    Zend Engine v2.6.0, Copyright (c) 1998-2016 Zend Technologies
    with the ionCube PHP Loader (enabled) + Intrusion Protection from ioncube24.com (unconfigured) v5.1.2, Copyright (c) 2002-2016, by ionCube Ltd.
    with Zend OPcache v7.0.6-dev, Copyright (c) 1999-2016, by Zend Technologies


    Но при этом при установке CMS движком которым требуется ionCube Loader, то его не видят! Если не сложно объясните в чём может быть проблемам?


    i-MSCP 1.3.0
    Build: 20160626
    Codename: Horner


    Debian 8

    Edited once, last by Serebrist ().

  • привет,
    а версию подходящую к архитектуре системы выбрал? в смысле х86 или х86-64 ?

  • Приветик!!!, Обижаешь, да х86-64.
    Если не выбрал он бы и не встал бы)


    Слушай а сразу в крутить в сборку нет возможности Zend и ionCube, чтоб они у же были в установке?
    Рано или поздно это всё равно потом требуется

  • Я тебя обижаю? Ну тогда пардон мадам, надеюсь юбка не помялась :)


    1. возможность есть, вот только девелоперов халявных нет, которые придут и сделают все и сразу.
    2. Ошибка, "Cannot load the ionCube PHP Loader - extension already loaded", переводится: "не могу загрузить ioncube php лодер, так как он уже загружен ранее"...
    3. Пожалуйста, пользуй хотя-бы транслятор и поисковик (яндекс, гугл, яху. да что угодно), чтоб понять смысл ошибки.
    4. ioncube ни как не связан с i-MSCP, это офтопик. Этот форум для администраторов серверов, которые хотя-бы шарят в linux. мне не трудно помочь, но определенная база знаний должна быть. Никто не знает все. Но блин, за руль-же не сядешь, если машину водить не умеешь?


    удали все записи ioncube лодера из всех php.ini, проверь чтоб он больше не подгружался. когда точно больше нет старых версий, или версий не соответствующих архитектуре или системе или версии php. после чего следуй вот этой инструкции, только в начале замени ссылку на правильную версию лодера

  • Окей , ладно буду сам разбираться.


    Не буду отвлекать от ваших дел. Я конечно не гуру в Linux но и не совсем тупой, чтоб совсем не знал что делать.
    Просто спросил совета, понял что надо саму разбираться. Спасибо за идеи, правда я их у же рассматривал. Но мало что мне помогло.
    Да же несколько раз переустанавливал ionCube PHP Loader но тоже не помогло.

  • Я тебя обижаю? Ну тогда пардон мадам, надеюсь юбка не помялась


    :D:thumbsup::D

    badge.php?id=1239063037&bid=2518&key=1747635596&format=png&z=547451206

    account_detailed.gif

  • :D:thumbsup::D

    Ребят я могу это вообще-то за оскорбление это посчитать !!!!!!!!!
    Будьте по аккуратней с выражениями и эмоциями!!!!!


    Если вы подзабыли русский язык, то напомню, что слово обороты в русском я зыке могут быть оскорбительными и применяя их надо понимать как их воспримет человек!
    В первом случаи я не стал обращать внимания на это, но когда на этом стал акцентировать внимание Nuxwin то я считаю что это не уместно!!!
    Так что будьте добры относиться уважительно к вашим собеседникам!!!!!

    Edited once, last by Serebrist ().

  • Ребят я могу это вообще-то за оскорбление это посчитать !!!!!!!!!
    Будьте по аккуратней с выражениями и эмоциями!!!!!


    Если вы подзабыли русский язык, то напомню, что слово обороты в русском я зыке могут быть оскорбительными и применяя их надо понимать как их воспримет человек!
    В первом случаи я не стал обращать внимания на это, но когда на этом стал акцентировать внимание Nuxwin то я считаю что это не уместно!!!
    Так что будьте добры относиться уважительно к вашим собеседникам!!!!!

    Bla bla bla ;)

    badge.php?id=1239063037&bid=2518&key=1747635596&format=png&z=547451206

    account_detailed.gif